Liquidity Pools
List Liquidity Pools
This endpoint lists all available liquidity pools.
GET
/
liquidity_pools
List Liquidity Pools
curl --request GET \
--url https://horizon-testnet.stellar.org/liquidity_poolsimport requests
url = "https://horizon-testnet.stellar.org/liquidity_pools"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://horizon-testnet.stellar.org/liquidity_pools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://horizon-testnet.stellar.org/liquidity_pools",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://horizon-testnet.stellar.org/liquidity_pools"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://horizon-testnet.stellar.org/liquidity_pools")
.asString();require 'uri'
require 'net/http'
url = URI("https://horizon-testnet.stellar.org/liquidity_pools")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"_links": {
"self": {
"href": "https://horizon-testnet.stellar.org/liquidity_pools?cursor=&limit=10&order=asc"
},
"next": {
"href": "https://horizon-testnet.stellar.org/liquidity_pools?cursor=66835-00000000c582697b67cbec7f9ce64f4dc67bfb2bfd26318bb9f964f4d70e3f41f650b1e6&limit=10&order=asc"
},
"prev": {
"href": "https://horizon-testnet.stellar.org/liquidity_pools?cursor=38888-00000000929b20b72e5890ab51c24f1cc46fa01c4f318d8d33367d24dd614cfdf5491072&limit=10&order=desc"
}
},
"_embedded": {
"records": [
{
"id": "67260c4c1807b262ff851b0a3fe141194936bb0215b2f77447f1df11998eabb9",
"paging_token": "113725249324879873",
"fee_bp": 30,
"type": "constant_product",
"total_trustlines": "300",
"total_shares": "5000",
"reserves": [
{
"amount": "1000.0000005",
"asset": "EURT:GAP5LETOV6YIE62YAM56STDANPRDO7ZFDBGSNHJQIYGGKSMOZAHOOS2S"
},
{
"amount": "2000.0000000",
"asset": "PHP:GAP5LETOV6YIE62YAM56STDANPRDO7ZFDBGSNHJQIYGGKSMOZAHOOS2S"
}
]
},
{
"id": "14be5a5b3d3f5e1e74380ab0a3bf9c172b7246fdf7753b172cbacd4d66143c08",
"paging_token": "113725249324879874",
"fee_bp": 30,
"type": "constant_product",
"total_trustlines": "200",
"total_shares": "3500",
"reserves": [
{
"amount": "1000.0000005",
"asset": "EURT:GAP5LETOV6YIE62YAM56STDANPRDO7ZFDBGSNHJQIYGGKSMOZAHOOS2S"
},
{
"amount": "1200.0000000",
"asset": "USDC:GC5W3BH2MQRQK2H4A6LP3SXDSAAY2W2W64OWKKVNQIAOVWSAHFDEUSDC"
}
]
}
]
}
}Query Parameters
List Liquidity Pools
curl --request GET \
--url https://horizon-testnet.stellar.org/liquidity_poolsimport requests
url = "https://horizon-testnet.stellar.org/liquidity_pools"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://horizon-testnet.stellar.org/liquidity_pools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://horizon-testnet.stellar.org/liquidity_pools",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://horizon-testnet.stellar.org/liquidity_pools"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://horizon-testnet.stellar.org/liquidity_pools")
.asString();require 'uri'
require 'net/http'
url = URI("https://horizon-testnet.stellar.org/liquidity_pools")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"_links": {
"self": {
"href": "https://horizon-testnet.stellar.org/liquidity_pools?cursor=&limit=10&order=asc"
},
"next": {
"href": "https://horizon-testnet.stellar.org/liquidity_pools?cursor=66835-00000000c582697b67cbec7f9ce64f4dc67bfb2bfd26318bb9f964f4d70e3f41f650b1e6&limit=10&order=asc"
},
"prev": {
"href": "https://horizon-testnet.stellar.org/liquidity_pools?cursor=38888-00000000929b20b72e5890ab51c24f1cc46fa01c4f318d8d33367d24dd614cfdf5491072&limit=10&order=desc"
}
},
"_embedded": {
"records": [
{
"id": "67260c4c1807b262ff851b0a3fe141194936bb0215b2f77447f1df11998eabb9",
"paging_token": "113725249324879873",
"fee_bp": 30,
"type": "constant_product",
"total_trustlines": "300",
"total_shares": "5000",
"reserves": [
{
"amount": "1000.0000005",
"asset": "EURT:GAP5LETOV6YIE62YAM56STDANPRDO7ZFDBGSNHJQIYGGKSMOZAHOOS2S"
},
{
"amount": "2000.0000000",
"asset": "PHP:GAP5LETOV6YIE62YAM56STDANPRDO7ZFDBGSNHJQIYGGKSMOZAHOOS2S"
}
]
},
{
"id": "14be5a5b3d3f5e1e74380ab0a3bf9c172b7246fdf7753b172cbacd4d66143c08",
"paging_token": "113725249324879874",
"fee_bp": 30,
"type": "constant_product",
"total_trustlines": "200",
"total_shares": "3500",
"reserves": [
{
"amount": "1000.0000005",
"asset": "EURT:GAP5LETOV6YIE62YAM56STDANPRDO7ZFDBGSNHJQIYGGKSMOZAHOOS2S"
},
{
"amount": "1200.0000000",
"asset": "USDC:GC5W3BH2MQRQK2H4A6LP3SXDSAAY2W2W64OWKKVNQIAOVWSAHFDEUSDC"
}
]
}
]
}
}